> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Connected Account

> Updates a [connected account](https://docs.seam.co/core-concepts/connected-accounts).



## OpenAPI

````yaml /openapi.json post /connected_accounts/update
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /connected_accounts/update:
    post:
      tags:
        - /connected_accounts
      summary: Update a Connected Account
      description: >-
        Updates a [connected
        account](https://docs.seam.co/core-concepts/connected-accounts).
      operationId: connectedAccountsUpdatePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                accepted_capabilities:
                  description: >-
                    List of accepted device capabilities that restrict the types
                    of devices that can be connected through this connected
                    account. Valid values are `lock`, `thermostat`,
                    `noise_sensor`, and `access_control`.
                  items:
                    description: |2

                        High-level device capabilities that can be restricted in connect webviews.
                        These represent the main device categories that customers can opt into.
                    enum:
                      - lock
                      - thermostat
                      - noise_sensor
                      - access_control
                      - camera
                    type: string
                  type: array
                automatically_manage_new_devices:
                  description: >-
                    Indicates whether newly-added devices should appear as
                    [managed
                    devices](https://docs.seam.co/core-concepts/devices/managed-and-unmanaged-devices).
                  type: boolean
                connected_account_id:
                  description: ID of the connected account that you want to update.
                  format: uuid
                  type: string
                custom_metadata:
                  additionalProperties:
                    nullable: true
                    oneOf:
                      - maxLength: 500
                        type: string
                      - type: boolean
                  description: >-
                    Custom metadata that you want to associate with the
                    connected account. Entirely replaces the existing custom
                    metadata object. If a new Connect Webview contains custom
                    metadata and is used to reconnect a connected account, the
                    custom metadata from the Connect Webview will entirely
                    replace the entire custom metadata object on the connected
                    account. Supports up to 50 JSON key:value pairs. [Adding
                    custom metadata to a connected
                    account](https://docs.seam.co/core-concepts/connected-accounts/adding-custom-metadata-to-a-connected-account)
                    enables you to store custom information, like customer
                    details or internal IDs from your application. Then, you can
                    [filter connected accounts by the desired
                    metadata](https://docs.seam.co/core-concepts/connected-accounts/filtering-connected-accounts-by-custom-metadata).
                  type: object
                customer_key:
                  description: >-
                    The customer key to associate with this connected account.
                    If provided, the connected account and all resources under
                    the connected account will be moved to this customer. May
                    only be provided if the connected account is not already
                    associated with a customer.
                  minLength: 1
                  type: string
                display_name:
                  description: >-
                    Human-readable name for the connected account, shown in the
                    dashboard. For example, `Booking from Airbnb House 1`.
                  maxLength: 255
                  minLength: 1
                  type: string
              required:
                - connected_account_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  connected_account:
                    $ref: '#/components/schemas/connected_account'
                  ok:
                    type: boolean
                required:
                  - connected_account
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.connectedAccounts.update({
              connected_account_id: "a289aa54-5488-4707-9a4b-eeea4edf311d",
              automatically_manage_new_devices: true,
              custom_metadata: { id: "internalId1" },
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/connected_accounts/update" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "connected_account_id": "a289aa54-5488-4707-9a4b-eeea4edf311d",
              "automatically_manage_new_devices": true,
              "custom_metadata": {
                "id": "internalId1"
              }
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.connected_accounts.update(
                connected_account_id="a289aa54-5488-4707-9a4b-eeea4edf311d",
                automatically_manage_new_devices=true,
                custom_metadata={"id": "internalId1"},
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.connected_accounts.update(
              connected_account_id: "a289aa54-5488-4707-9a4b-eeea4edf311d",
              automatically_manage_new_devices: true,
              custom_metadata: {
                id: "internalId1",
              },
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->connected_accounts->update(
                connected_account_id: "a289aa54-5488-4707-9a4b-eeea4edf311d",
                automatically_manage_new_devices: true,
                custom_metadata: ["id" => "internalId1"],
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam connected-accounts update --connected_account_id
            "a289aa54-5488-4707-9a4b-eeea4edf311d"
            --automatically_manage_new_devices true --custom_metadata
            {"id":"internalId1"}


            # {}
components:
  schemas:
    connected_account:
      description: >-
        Represents a [connected
        account](https://docs.seam.co/core-concepts/connected-accounts). A
        connected account is an external third-party account to which your user
        has authorized Seam to get access, for example, an August account with a
        list of door locks.
      properties:
        accepted_capabilities:
          description: >-
            List of capabilities that were accepted during the account
            connection process.
          items:
            description: |2

                High-level device capabilities that can be restricted in connect webviews.
                These represent the main device categories that customers can opt into.
            enum:
              - lock
              - thermostat
              - noise_sensor
              - access_control
              - camera
            type: string
          type: array
        account_type:
          description: Type of connected account.
          type: string
        account_type_display_name:
          description: Display name for the connected account type.
          type: string
        automatically_manage_new_devices:
          description: >-
            Indicates whether Seam should [import all new
            devices](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#automatically_manage_new_devices)
            for the connected account to make these devices available for
            management by the Seam API.
          type: boolean
        connected_account_id:
          description: ID of the connected account.
          format: uuid
          type: string
        created_at:
          description: Date and time at which the connected account was created.
          format: date-time
          type: string
        custom_metadata:
          additionalProperties:
            oneOf:
              - type: string
              - type: boolean
          description: >-
            Set of key:value pairs. Adding custom metadata to a resource, such
            as a [Connect
            Webview](https://docs.seam.co/core-concepts/connect-webviews/attaching-custom-data-to-the-connect-webview),
            [connected
            account](https://docs.seam.co/core-concepts/connected-accounts/adding-custom-metadata-to-a-connected-account),
            or
            [device](https://docs.seam.co/core-concepts/devices/adding-custom-metadata-to-a-device),
            enables you to store custom information, like customer details or
            internal IDs from your application.
          type: object
        customer_key:
          description: >-
            Your unique key for the customer associated with this connected
            account.
          type: string
        default_checkin_time:
          description: >-
            Default reservation check-in time for this connected account, as
            `HH:mm` (24-hour). Sourced from the connector configuration — set
            during the connect_webview for providers like Lodgify whose API does
            not expose check-in times.
          type: string
        default_checkout_time:
          description: >-
            Default reservation check-out time for this connected account, as
            `HH:mm` (24-hour). Sourced from the connector configuration.
          type: string
        display_name:
          description: Display name for the connected account.
          type: string
        errors:
          description: Errors associated with the connected account.
          items:
            discriminator:
              propertyName: error_code
            oneOf:
              - description: Indicates that the account is disconnected.
                properties:
                  created_at:
                    description: Date and time at which Seam created the error.
                    format: date-time
                    type: string
                  error_code:
                    description: >-
                      Unique identifier of the type of error. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - account_disconnected
                    type: string
                  is_bridge_error:
                    description: >-
                      Indicates whether the error is related to [Seam
                      Bridge](https://docs.seam.co/capability-guides/seam-bridge).
                    type: boolean
                  is_connected_account_error:
                    description: >-
                      Indicates whether the error is related specifically to the
                      connected account.
                    type: boolean
                  message:
                    description: >-
                      Detailed description of the error. Provides insights into
                      the issue and potentially how to rectify it.
                    type: string
                required:
                  - created_at
                  - message
                  - error_code
                type: object
              - description: >-
                  Indicates that the Seam API cannot communicate with [Seam
                  Bridge](https://docs.seam.co/capability-guides/seam-bridge),
                  for example, if the Seam Bridge executable has stopped or if
                  the computer running the Seam Bridge executable is offline.
                  See also [Troubleshooting Your Access Control
                  System](https://docs.seam.co/low-level-apis/access-systems/troubleshooting-your-access-control-system#acs_system.errors.seam_bridge_disconnected).
                properties:
                  created_at:
                    description: Date and time at which Seam created the error.
                    format: date-time
                    type: string
                  error_code:
                    description: >-
                      Unique identifier of the type of error. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - bridge_disconnected
                    type: string
                  is_bridge_error:
                    description: >-
                      Indicates whether the error is related to [Seam
                      Bridge](https://docs.seam.co/capability-guides/seam-bridge).
                    type: boolean
                  is_connected_account_error:
                    description: >-
                      Indicates whether the error is related specifically to the
                      connected account.
                    type: boolean
                  message:
                    description: >-
                      Detailed description of the error. Provides insights into
                      the issue and potentially how to rectify it.
                    type: string
                required:
                  - created_at
                  - message
                  - error_code
                type: object
              - description: >-
                  Indicates that the maximum number of users allowed for the
                  site has been reached. This means that new access codes cannot
                  be created. Contact Salto support to increase the user limit.
                properties:
                  created_at:
                    description: Date and time at which Seam created the error.
                    format: date-time
                    type: string
                  error_code:
                    description: >-
                      Unique identifier of the type of error. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - salto_ks_subscription_limit_exceeded
                    type: string
                  is_bridge_error:
                    description: >-
                      Indicates whether the error is related to [Seam
                      Bridge](https://docs.seam.co/capability-guides/seam-bridge).
                    type: boolean
                  is_connected_account_error:
                    description: >-
                      Indicates whether the error is related specifically to the
                      connected account.
                    type: boolean
                  message:
                    description: >-
                      Detailed description of the error. Provides insights into
                      the issue and potentially how to rectify it.
                    type: string
                  salto_ks_metadata:
                    description: >-
                      Salto KS metadata associated with the connected account
                      that has an error.
                    properties:
                      sites:
                        description: >-
                          Salto sites associated with the connected account that
                          has an error.
                        items:
                          description: >-
                            Salto site associated with the connected account
                            that has an error.
                          properties:
                            site_id:
                              description: >-
                                ID of a Salto site associated with the connected
                                account that has an error.
                              type: string
                            site_name:
                              description: >-
                                Name of a Salto site associated with the
                                connected account that has an error.
                              type: string
                            site_user_subscription_limit:
                              description: >-
                                Subscription limit of site users for a Salto
                                site associated with the connected account that
                                has an error.
                              minimum: 0
                              type: integer
                            subscribed_site_user_count:
                              description: >-
                                Count of subscribed site users for a Salto site
                                associated with the connected account that has
                                an error.
                              minimum: 0
                              type: integer
                          required:
                            - site_id
                            - site_name
                            - subscribed_site_user_count
                            - site_user_subscription_limit
                          type: object
                        type: array
                    required:
                      - sites
                    type: object
                required:
                  - created_at
                  - message
                  - error_code
                  - salto_ks_metadata
                type: object
              - description: >-
                  Indicates that one or more dormakaba sites associated with the
                  connected account could not be connected. Contact dormakaba
                  support.
                properties:
                  created_at:
                    description: Date and time at which Seam created the error.
                    format: date-time
                    type: string
                  error_code:
                    description: >-
                      Unique identifier of the type of error. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - dormakaba_sites_disconnected
                    type: string
                  is_bridge_error:
                    description: >-
                      Indicates whether the error is related to [Seam
                      Bridge](https://docs.seam.co/capability-guides/seam-bridge).
                    type: boolean
                  is_connected_account_error:
                    description: >-
                      Indicates whether the error is related specifically to the
                      connected account.
                    type: boolean
                  message:
                    description: >-
                      Detailed description of the error. Provides insights into
                      the issue and potentially how to rectify it.
                    type: string
                required:
                  - created_at
                  - message
                  - error_code
                type: object
          type: array
        ical_feed_origin:
          description: >-
            For iCal connected accounts, the platform that produced the feed
            (for example, `airbnb`, `vrbo`, or `booking`), or `unknown` when it
            could not be determined. Intended for rendering the source
            platform's logo.
          type: string
        ical_url:
          description: >-
            For iCal connected accounts, the feed URL for the connection.
            Sourced from the connector configuration.
          type: string
        image_url:
          description: Logo URL for the connected account provider.
          format: uri
          type: string
        time_zone:
          description: >-
            IANA time zone (e.g. America/Los_Angeles) for this connected
            account. Sourced from the connector configuration.
          type: string
        user_identifier:
          deprecated: true
          description: User identifier associated with the connected account.
          properties:
            api_url:
              description: >-
                API URL for the user identifier associated with the connected
                account.
              type: string
            email:
              description: >-
                Email address of the user identifier associated with the
                connected account.
              type: string
            exclusive:
              description: >-
                Indicates whether the user identifier associated with the
                connected account is exclusive.
              type: boolean
            phone:
              description: >-
                Phone number of the user identifier associated with the
                connected account.
              type: string
            username:
              description: >-
                Username of the user identifier associated with the connected
                account.
              type: string
          type: object
          x-deprecated: Use `display_name` instead.
        warnings:
          type: array
          description: Warnings associated with the connected account.
          items:
            type: object
            properties:
              error_code:
                type: string
                description: Error or warning code.
              message:
                type: string
                description: Human-readable description.
              created_at:
                type: string
                format: date-time
                description: When this error or warning was generated.
      required:
        - connected_account_id
        - account_type_display_name
        - display_name
        - errors
        - warnings
        - custom_metadata
        - automatically_manage_new_devices
        - accepted_capabilities
      type: object
      x-route-path: /connected_accounts
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````